{% extends "wizard/base.html" %}
{% block title %}Step 3: Database{% endblock %}
{% block step_content %}
  <div class="row">
    <div class="col-12">
      <h1 class="mt-5">Step 3: Database</h1>
      <p>STRAP provisions a database for your app. The database server is hosted by UVic and managed by specialists who monitor it and take care of the backups and other such concerns.</p>
      <form method="post">
        {% csrf_token %}

            <!-- Database -->
        <div class="mb-3 w-50">
          <label class="form-label">Database</label>
          <select class="form-control" name='database' {% if wizard.app.deployment %}disabled{% endif %}>
            <option value='None' {% if not wizard.app.database or wizard.app.database == 'None' %}selected{% endif %}>None</option>
            <option value='PostgreSQL' {% if wizard.app.database == 'PostgreSQL' %}selected{% endif %}>PostgreSQL</option>
            <option value='MySQL' {% if wizard.app.database == 'MySQL' %}selected{% endif %} disabled>MySQL - not yet implemented</option>
          </select>
          <div class="form-text">Select the type of database your application uses. Note that once <strong>deployed</strong>, this value <strong>cannot be changed</strong></div>
        </div>

        <p>Currently, Postgres is available; MySQL is planned for future work. Along with the database itself, STRAP will provision roles for you and your app to manage the data. <a href="#">Learn more!</a></p>

            <!-- Navigation buttons -->
        {% with is_form=True %}
          {% include 'wizard/navigation_btns.html' %}
        {% endwith %}
      </form>
    </div>
  </div>
{% endblock %}